%define oname		cantarell-fonts
%define fontconf	31-cantarell.conf

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		abattis-%{oname}
Version:	0.0.12
Release:	%mkrel 2
Summary:	Cantarell, a Humanist sans-serif font family
Group:		System/Fonts/True type 
License:	OFL
URL:		http://abattis.org/cantarell/
Source0:	http://download.gnome.org/sources/%{oname}/%{url_ver}/%{oname}-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:	fontpackages-devel
BuildRequires:	fontforge
Requires:	fontpackages-filesystem

#Obsolete wrongly imported duplicate pkg
Obsoletes:	%{oname}

%description
Cantarell is a set of fonts designed by Dave Crossland. It is a 
sans-serif humanist typeface family.

%prep
%setup -q -n %{oname}-%{version}

%build
%configure2_5x
%make

#create fonts from "source"
fontforge -lang=ff -c 'Open($1); Generate($2);' src/Cantarell-Bold.sfd Cantarell-Bold.otf
fontforge -lang=ff -c 'Open($1); Generate($2);' src/Cantarell-Regular.sfd Cantarell-Regular.otf

%install
rm -rf %{buildroot}
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.otf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -Dpm 0644 fontconfig/%{fontconf} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}

ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

%clean
rm -rf %{buildroot}

%_font_pkg -f %{fontconf} *.otf
%doc COPYING NEWS README


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0.0.12-2.mga3
+ Revision: 345168
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 ovitters <ovitters> 0.0.12-1.mga3
+ Revision: 333373
- new version 0.0.12

* Thu Nov 15 2012 ovitters <ovitters> 0.0.11-1.mga3
+ Revision: 318272
- new version 0.0.11

* Sun Oct 28 2012 dmorgan <dmorgan> 0.0.10.1-2.mga3
+ Revision: 311166
- Java Stack Mass Rebuild

* Tue Sep 25 2012 ovitters <ovitters> 0.0.10.1-1.mga3
+ Revision: 297581
- new version 0.0.10.1

* Fri Sep 14 2012 ovitters <ovitters> 0.0.10-1.mga3
+ Revision: 293838
- new version 0.0.10

* Mon Jun 11 2012 ovitters <ovitters> 0.0.9-1.mga3
+ Revision: 259657
- drop patch 0 (merged upstream)
- new version 0.0.9

* Sun Apr 22 2012 mitya <mitya> 0.0.8-2.mga2
+ Revision: 232498
- Cyrillic support

* Tue Mar 27 2012 ovitters <ovitters> 0.0.8-1.mga2
+ Revision: 227016
- new version 0.0.8

* Tue Oct 18 2011 wally <wally> 0.0.7-1.mga2
+ Revision: 156380
- new version 0.0.7
- clean .spec a bit

* Wed Jun 15 2011 dmorgan <dmorgan> 0.0.6-1.mga2
+ Revision: 106419
- New version 0.0.6

* Sun Mar 13 2011 dmorgan <dmorgan> 0.0.3-1.mga1
+ Revision: 70838
- imported package abattis-cantarell-fonts

